Bug 56182 - incorrect mount point permissions in /home after installation
incorrect mount point permissions in /home after installation
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-13 12:27 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-13 12:27:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-13 12:27:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
Fresh install of Redhat 7.2.  My user account is on a separate partition,
so I selected to mount it on /home/username.  After installation I could
not login to X windows.  As it turns out, the mountpoint of /home/username
was owned by root making it so the .Xauthority file couldn't be written.

The real problem is that this mount point needs to be owned by "username"
since it is my home directory.  Perhaps the installation program, during a
final step, should make sure that everyone's home directory is owned by the
right username.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:
Comment 1 Jeremy Katz 2001-11-16 17:57:28 EST
Nope, this is purely a local configuration issue and impossible to "fix"
correctly for all cases.

Note You need to log in before you can comment on or make changes to this bug.